package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysDictData;

public class SysDictDataTable extends Table<SysDictData> {

    public static SysDictDataTable sys_dict_data = new SysDictDataTable();
    public static SysDictDataTable sdd = sys_dict_data.as("sdd");

    /**
     * 字典数据id
     */
    public QueryColumn id = this.field(SysDictData::getId);

    /**
     * 字典类型id
     */
    public QueryColumn dictTypeId = this.field(SysDictData::getDictTypeId);

    /**
     * 字典标签
     */
    public QueryColumn label = this.field(SysDictData::getLabel);

    /**
     * 字典值
     */
    public QueryColumn value = this.field(SysDictData::getValue);

    /**
     * 表格回显样式
     */
    public QueryColumn cssStyle = this.field(SysDictData::getCssStyle);

    /**
     * 状态 1启用 0禁用
     */
    public QueryColumn status = this.field(SysDictData::getStatus);

    /**
     * 排序
     */
    public QueryColumn sort = this.field(SysDictData::getSort);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(SysDictData::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(SysDictData::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(SysDictData::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(SysDictData::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(SysDictData::getDelFlag);

    private SysDictDataTable() {
        super(SysDictData.class);
    }

    private SysDictDataTable(String alias) {
        super(SysDictData.class, alias);
    }

    public SysDictDataTable as(String alias) {
        return new SysDictDataTable(alias);
    }

}
